/*
 * @Author: 韩辉
 * @Date: 2020-04-15 19:59:14
 * @LastEditTime: 2021-06-02 11:23:35
 * @LastEditors: Please set LastEditors
 * @Description: index界面脚本
 * @FilePath: \web-mobile2\js\index.js
 */
(function (g) {
    var reqMaxTimes = 60;
    //埋点 玩家看到背景图
    window.IndexGlobal.sendButton(window.IndexGlobal.buttonId.b1);
    window.SDK = {
        pay: function (data, callFun) {
            console.log('支付参数');
            console.log(data);
            var _payP = JSON.parse(data);
            TZSDK.pay(_payP, function (res) {
                //支付回调函数
                if (res.tag == 0) {
                    //支付成功
                } else {
                    //支付失败
                }
                if (callFun) {
                    callFun();
                }
            });
        }
    }
    TZSDK.login(function (param) {
        var _server_id = g.IndexGlobal.Funs.getQueryVariable('server_id');
        var _area_id = g.IndexGlobal.Funs.getQueryVariable('area_id');
        var user_id = g.IndexGlobal.Funs.getQueryVariable('user_id');
        var _login_area_id = g.IndexGlobal.Funs.getQueryVariable('login_area_id');
        var _login_server_id = g.IndexGlobal.Funs.getQueryVariable('login_server_id');
        var _role_id = g.IndexGlobal.Funs.getQueryVariable('role_id');

        g.IndexGlobal.Params.app_id = param.app_id;
        g.IndexGlobal.Params.cps_id = param.channel_id;
        g.IndexGlobal.Params.server_id = _server_id;
        g.IndexGlobal.Params.role_id = _role_id;
        g.IndexGlobal.Params.login_area_id = parseInt(_login_area_id);
        g.IndexGlobal.Params.login_server_id = parseInt(_login_server_id);
        g.IndexGlobal.Params.focus = param.focus;

        g.IndexGlobal.Params["area_id"] = _area_id;


        window.localStorage.setItem('user_id', user_id);
        window.localStorage.setItem('cps_id', param.channel_id);
        window.localStorage.setItem('sdk_uuid', param.uuid);
        param.platform && window.localStorage.setItem('platform', param.platform);
        window.localStorage.setItem('sdk_notch_height', param.notch_height);
        window.localStorage.setItem('sdk_bottom_height', param.bottom_height);
        window['sdk_ActBtnIconLink'] = param.ext && param.ext.btn_img || '';
        window['phone_model'] = param.phone_model
        window['cps_id'] = param.channel_id
        //if (param.cpu_name) window.localStorage.setItem('cpu_name', param.cpu_name);

        //alert(JSON.stringify(param.ext))
        //陌陌渠道订阅消息
        if (param.ext && param.ext.channel_name == "momo") {
            window['SDK_On_Game_momoNews_state'] = param.ext.momoNews
        }
        //关注好礼（H5）第三方渠道控制是否显示
        if (param.ext && param.ext.isHideSubscribe) {
            window['SDK_Hide_Act_Focus'] = param.ext.isHideSubscribe
        }

        handleCpuName(param.cpu_name);

        g.IndexGlobal.Funs.changeParams(param);
        //2.登陆游戏, 并进入游戏
        var _p = g.IndexGlobal.Params;
        if (!_p) {
            //埋点 游戏拿平台的参数失败
            window.IndexGlobal.sendButton(window.IndexGlobal.buttonId.b3);
            return;
        }
        //埋点 游戏拿平台的参数成功
        window.IndexGlobal.sendButton(window.IndexGlobal.buttonId.b2);
        var hadReqTimes = 0;
        var _ajaxData_server_id = _p.login_server_id ? _p.login_server_id : _p.server_id;
        var _ajaxData_area_id = _p.login_area_id ? _p.login_area_id : _p.area_id;

        window.localStorage.setItem('server_id', _ajaxData_server_id);
        window.localStorage.setItem('area_id', _ajaxData_area_id);

        if (param.channel_id == 9) { //镜像服
            g.IndexGlobal.httpUri = g.IndexGlobal.httpUri.replace("8185", "9185");
        }
        var autoCreateRole = 0;//是否自动创角
        if (param.pfgame_conf) {
            if (param.pfgame_conf.hide_create_role) {
                autoCreateRole = param.pfgame_conf.hide_create_role;//1 是跳过创角界面 0显示创角界面
            }
            if (param.pfgame_conf.check_word_url) {//屏蔽关键字地址和关键词
                window.localStorage.setItem('check_word_url', param.pfgame_conf.check_word_url);
            }

            //渠道是否显示退出按钮
            window.localStorage.setItem('show_exit', "0");
            if (param.pfgame_conf.open_close_game) {
                window.localStorage.setItem('show_exit', param.pfgame_conf.open_close_game);
            }
        }
        var _ajaxData = {
            //url: 'http://192.168.44.123:8185/tz/login',
            url: g.IndexGlobal.httpUri + '/tz/login',
            data: {
                channel_id: param.channel_id,
                token: _p.token,
                server_id: _ajaxData_server_id,
                area_id: _ajaxData_area_id,
                user_id: _p.user_id,
                uuid: _p.uuid, //设备唯一id
                sys_ver: _p.sys_ver, //系统版本
                phone_model: _p.phone_model, //手机型号
                role_id: _p.role_id || 0,
                auto_create: autoCreateRole
            },
            callSuccess: function (res) {
                var _res = JSON.parse(res);
                if (_res.code == 200) {
                    //埋点 开始登陆游戏 成功60020
                    window.IndexGlobal.sendButton(window.IndexGlobal.buttonId.b4);
                    window.localStorage.setItem('acc_token', res);
                    window.localStorage.setItem('loginParam', res);
                    g.IndexGlobal.Funs.changeParams(_res);
                    g.IndexGlobal.gameRun();
                } else if (_res.msg) {
                    //埋点 开始登陆游戏,失败60021
                    window.IndexGlobal.sendButton(window.IndexGlobal.buttonId.b5);
                    g.IndexGlobal.Toast.show(_res.msg);
                }
            },
            callFail: function (params) {
                //埋点 开始登陆游戏,失败60021
                window.IndexGlobal.sendButton(window.IndexGlobal.buttonId.b5);
                if (hadReqTimes <= reqMaxTimes) {
                    setTimeout(function () {
                        hadReqTimes++;
                        g.IndexGlobal.Funs.ajax(_ajaxData);
                    }, 1000);
                }
            }
        };
        g.IndexGlobal.Funs.ajax(_ajaxData);
    });

    /**
     * 注册前后台事件监听
     * @param {*} data.type 方法名
     * @param {*} data.params 参数
     */
    TZSDK.jmSwitchCall = function (data) {
        //根据data的具体参数处理业务逻辑
        if (data && data.type == "iSwitch") {
            if (data.params == 0) {    //0 隐藏 1 显示
                if (window['SDK_On_Game_Hide']) {
                    window['SDK_On_Game_Hide']();
                }
            } else {
                if (window['SDK_On_Game_Show']) {
                    window['SDK_On_Game_Show']();
                }
            }
        }
        //陌陌渠道订阅消息
        //alert(JSON.stringify(data))
        if (data && data.type == "momoNews") {
            if (window['SDK_On_Game_momoNews']) {
                window['SDK_On_Game_momoNews_state'] = data.params
                window['SDK_On_Game_momoNews']();
            }
        }

        if (data && data.type == "getMemoryDataCallBack") {
            window['getMemoryDataCallBack'] = data.params
        }
    }

    //处理平台传递过来的cpu_name
    function handleCpuName(cpuName) {
        if (!cpuName) {
            return;
        }
        var _time = Math.floor(new Date().getTime() / 1000 / 60);
        $.ajax({
            url: g.IndexGlobal.cpuTxt + '?v=' + _time,
            success: function (res) {
                if (typeof res == 'string') {
                    var _arg = res.split('|');
                    g.IndexGlobal.lowCpuModel = _arg.indexOf(cpuName) >= 0;
                    console.log('lowCpuModel:' + g.IndexGlobal.lowCpuModel);
                }
            }
        });
    }
}(window))